Summary: Package to integrate GeneWeb (V6) into SME Server
%define name smeserver-geneweb
Name: %{name}
%define version 2.1.0
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-geneweb-2.1.0-locale-2019-12-07.patch
Patch2: smeserver-geneweb-2.1.0-proxypass_services.patch
Patch3: smeserver-geneweb-2.1.0-locale-2020-07-30.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: geneweb >= 6.08
Requires: smeserver-release >= 9.0
Requires: e-smith-formmagick >= 2.4.0-1
BuildRequires: e-smith-devtools

%description
This RPM must be installed after the geneweb*.el6.sme package
to complete the integration for SME Server.

%changelog
* Thu Jul 30 2020 SME Translation Server <translations@contribs.org> 2.1.0-5.sme
- apply locale 2020-07-30 patch

* Sat Jul 11 2020 Michel Begue <mab974@gmail.com> 2.1.0-4.sme
- geneweb and gwsetup services thru proxypass [SME: 10930]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 2.1.0-2.sme
- apply locale 2019-12-07 patch

* Wed Apr 03 2019 Michel Begue <mab974@gmail.com> 2.1-1.sme
- first import in sme9 for geneweb v6.08
- geneweb service not started [SME: 6371]
- Add "Base directory" input in panel console.
- perms corrected in templates.metadata
- normalize template and .spec

%prep

rm -rf $RPM_BUILD_ROOT

%setup
# tmp fix before creating a new source archive 2.1.0-3
rm -f root/etc/e-smith/events/geneweb-modify/services2adjust/*
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)
%attr(755, root, root) /var/service/geneweb/log/run
%attr(755, root, root) /var/service/gwsetup/log/run


%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
ln -s /var/service/geneweb /service/geneweb 
touch /var/service/geneweb/down
ln -s /etc/rc.d/init.d/daemontools /etc/rc.d/init.d/supervise/geneweb 
##ln -s /etc/rc.d/init.d/e-smith-service /etc/rc.d/rc7.d/S98geneweb 
mkdir -p /var/log/geneweb
chown smelog:smelog /var/log/geneweb
ln -s /var/service/gwsetup /service/gwsetup 
touch /var/service/gwsetup/down
ln -s /etc/rc.d/init.d/daemontools /etc/rc.d/init.d/supervise/gwsetup 
##ln -s /etc/rc.d/init.d/e-smith-service /etc/rc.d/rc7.d/S98gwsetup 
mkdir -p /var/log/gwsetup
chown smelog:smelog /var/log/gwsetup

%preun
/sbin/e-smith/db configuration setprop geneweb status disabled
/sbin/e-smith/db configuration setprop gwsetup status disabled
#/etc/rc.d/init.d/geneweb stop
#/etc/rc.d/init.d/gwsetup stop
/usr/bin/sv stop geneweb
/usr/bin/sv stop gwsetup

%postun
